- entityDefinitions:
  - IDI_Task_RichTextAttribute_View: '{f14e644e-c23f-4e51-8705-218f8a7f8da6}'
  - IDI_Task_RichTextAttribute_Edit: '{ac1a4a78-ed7c-4ffb-9da5-0038f7e7083b}'
  - IDE_RichTextAttribute_View: '{1c349bae-073f-4d2d-be02-62c7f2ac19cc}'
  - IDE_RichTextAttribute_Edit: '{e5372c59-37e6-473d-8972-8197c3fadb01}'
  - IDE_RichTextAttribute_Subedits: '{7e6cc769-fa92-457a-98fb-f1b01ee1b6f9}'
  - IDI_TaskCategory_RichTextAttribute: '{697285cd-5c7c-416e-adae-f686f87b1a3c}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_RichTextAttribute;'
    name: 'Rich Text Attribute'

  - sequenceTask: '&IDI_Task_RichTextAttribute_View;'
    name: 'View Rich Text Attribute'
    initiatingElement: '&IDE_RichTextAttribute_View;'
    taskCategory: '&IDI_TaskCategory_RichTextAttribute;'
    
  - sequenceTask: '&IDI_Task_RichTextAttribute_Edit;'
    name: 'Edit Rich Text Attribute'
    initiatingElement: '&IDE_RichTextAttribute_Edit;'
    taskCategory: '&IDI_TaskCategory_RichTextAttribute;'
    
  - element: '&IDE_RichTextAttribute_View;'
    name: 'view rich text attribute'
    elementContents:
    - globalIdentifier: '{dfc3530a-86f0-4cad-b0eb-cb873124bc5b}'
      defaultDataType: '&IDE_RichTextAttribute_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_RichTextAttribute_Edit;'
    name: 'edit rich text attribute'
    elementContents:
    - globalIdentifier: '{5af9cf61-29b7-4e6f-8ae3-08f35f482872}'
      defaultDataType: '&IDE_RichTextAttribute_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_RichTextAttribute_Subedits;'
    name: 'rich text attribute subedits'
    elementContents:
    - globalIdentifier: '{7ee9e026-73c7-48dc-8899-49a9381bd5a2}'
      defaultDataType: '&IDC_RichTextAttribute;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'

    - globalIdentifier: '{34f9d452-a06a-4793-b09e-95dc6c80a05f}'
      defaultDataType: '&IDA_Name;'

    - globalIdentifier: '{a33e9e97-606d-47b7-ac4d-46971e534e01}'
      defaultDataType: '&IDA_RichTextValue;'
      label: 'Default Value'

    - globalIdentifier: '{e71c2829-570d-45e5-99f9-0fb97a9dea57}'
      defaultDataType: '&IDA_MaximumLength;'
      
    # - globalIdentifier: '{f6fbaab7-f947-49ee-95c3-d7b652e346f4}'
    #   defaultDataType: '&IDR_Work_Data__in__Namespace;'
    #   label: Namespace